summaryrefslogtreecommitdiff
path: root/gcc_status
diff options
context:
space:
mode:
Diffstat (limited to 'gcc_status')
-rwxr-xr-xgcc_status59
1 files changed, 59 insertions, 0 deletions
diff --git a/gcc_status b/gcc_status
new file mode 100755
index 0000000..95e529e
--- /dev/null
+++ b/gcc_status
@@ -0,0 +1,59 @@
+#! /bin/sh
+#
+# $Id$
+#
+
+vfile=`dirname $0`/VERSIONS
+if [ ! -r ${vfile} ] ; then
+ echo VERSIONS file not found
+ exit 1
+fi
+
+source ${vfile}
+
+cpu=$1
+if [ $# -eq 1 ] ; then
+ limit=0
+elif [ $# -eq 2 ] ; then
+ limit=$2
+else
+ echo usage "$0 CPU [seconds]"
+ exit 1
+fi
+
+
+if [ ! -d ${BASEDIR}/b-gcc1-${cpu}/gcc/testsuite ] ; then
+ echo Test directory not found
+ exit 1
+fi
+
+cd ${BASEDIR}/b-gcc1-${cpu}/gcc/testsuite
+while :
+do
+ for BASE in gcc g++
+ do
+ LFILE=${BASE}/${BASE}.log
+ SFILE=${BASE}/${BASE}.log
+ if [ ! -r ${LFILE} ] ; then
+ continue
+ fi
+ loglines=`cat ${LFILE} | wc -l`
+ failed=`grep ^FAIL: ${SFILE} | wc -l`
+ passed=`grep ^PASS: ${SFILE} | wc -l`
+ unsupp=`grep ^UNSUPP ${SFILE} | wc -l`
+ unresolved=`grep ^UNRESOL ${SFILE} | wc -l`
+
+ printf "Lines in ${LFILE}: %5d\n" $loglines
+ printf "PASSED: %5d\n" $passed
+ printf "FAILED: %5d\n" $failed
+ printf "UNSUPPORTED: %5d\n" $unsupp
+ printf "UNRESOLVED: %5d\n" $unresolved
+ done
+
+ if [ ${limit} -eq 0 ] ; then
+ break
+ fi
+ sleep ${limit}
+done
+exit 0
+